%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/briandowns/spinner
Version:                1.23.0

%gometa

%global common_description %{expand:
Go (golang) package with 90 configurable terminal spinner/progress indicators.}

%global golicenses      LICENSE NOTICE.txt
%global godocs          _example README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go package providing a terminal spinner/progress indicator

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
